Module | ActionController::Assertions::DomAssertions
In: | lib/action_controller/assertions/dom_assertions.rb

### Methods

assert_dom_equal assert_dom_not_equal

### Public Instance methods

assert_dom_equal(expected, actual, message = "")

Test two HTML strings for equivalency (e.g., identical up to reordering of attributes)

#### Examples

      # assert that the referenced method generates the appropriate HTML string
      assert_dom_equal '<a href="http://www.example.com">Apples</a>', link_to("Apples", "http://www.example.com")

assert_dom_not_equal(expected, actual, message = "")

The negated form of `assert_dom_equivalent`.

#### Examples

      # assert that the referenced method does not generate the specified HTML string
      assert_dom_not_equal '<a href="http://www.example.com">Apples</a>', link_to("Oranges", "http://www.example.com")

[Validate]